Subject: bug#10760: 24.0.93; [patch] Convert artist-mode to use define-minor-mode

From: William Stevenson <[email-masked]>
Date: Sat, 11 Feb 2012 02:22:41 +0000

Stefan Monnier <[email-masked]> writes:

>> In summary:
>> Updated artist-mode to use define-minor-mode.
>> As a consequence, artist-mode-init-hook and artist-mode-exit-hook were
>> removed from artist-mode-init and artist-mode-exit, because d-m-m creates
>> artist-mode-hook, and runs it when the mode is turned on or off.
>> Documentation was updated to reflect this.
>
> Looks good, please install, and thank you,

I don't have write access atm, although I have signed the FSF papers and
have contributed to emacs before (adwaita-theme.el). 

I have created an account on savannah and will request formal inclusion
if given the go-ahead.